> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 取得測試套件

> 依 ID 取得單一測試套件

## 請求

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}
```

### 路徑參數

<ParamField path="projectId" type="string" required>專案 ID</ParamField>

<ParamField path="testSuiteId" type="string" required>測試套件 ID</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

## 回應

<ResponseField name="data" type="object">
  測試套件物件，包含 `id`、`name` 與 `testCases`（`{ id }` 的陣列）。
</ResponseField>

### 範例

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": {
    "id": "test-suite-uuid",
    "projectId": "project-uuid",
    "name": "Regression suite",
    "testCases": [
      { "id": "test-case-uuid-1" },
      { "id": "test-case-uuid-2" }
    ],
    "createdAt": "2026-03-23T00:00:00.000Z",
    "updatedAt": "2026-03-23T00:00:00.000Z"
  }
}
```
